# OgreBillboardSet.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreMovableObject.h"`
`#include "OgreRenderable.h"`
`#include "OgreRadixSort.h"`
`#include "OgreCommon.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::BillboardSet
| A collection of billboards (faces which are always facing the given direction) with the same (default) dimensions, material and which are fairly close proximity to each other. More...
struct | Ogre::BillboardSet::SortByDirectionFunctor
| Sort by direction functor. More...
struct | Ogre::BillboardSet::SortByDistanceFunctor
| Sort by distance functor. More...
class | Ogre::BillboardSetFactory
| Factory object for creating BillboardSet instances. More...

## Enumerations

enum | Ogre::BillboardOrigin { Ogre::BBO_TOP_LEFT, Ogre::BBO_TOP_CENTER, Ogre::BBO_TOP_RIGHT, Ogre::BBO_CENTER_LEFT, Ogre::BBO_CENTER, Ogre::BBO_CENTER_RIGHT, Ogre::BBO_BOTTOM_LEFT, Ogre::BBO_BOTTOM_CENTER, Ogre::BBO_BOTTOM_RIGHT }
| Enum covering what exactly a billboard's position means (center, top-left etc). More...
enum | Ogre::BillboardRotationType { Ogre::BBR_VERTEX, Ogre::BBR_TEXCOORD }
| The rotation type of billboard. More...
enum | Ogre::BillboardType { Ogre::BBT_POINT, Ogre::BBT_ORIENTED_COMMON, Ogre::BBT_ORIENTED_SELF, Ogre::BBT_PERPENDICULAR_COMMON, Ogre::BBT_PERPENDICULAR_SELF }
| The type of billboard to use. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:26:49 2009